%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define	python_module_name	SCRIBES

Name:		scribes
Version:	0.3.3.3
Release:	4%{?dist}
Summary:	A sleek, simple, and powerful text editor for the GNOME desktop
Group:		Applications/Editors
License:	GPLv2+
URL:		http://scribes.sourceforge.net/           

Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

Patch0:		%{name}-configure.ac-no-python-depcheck.patch
Patch1:		%{name}-fix-print-tab-width.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-doc-utils
BuildRequires:	GConf2
BuildRequires:	intltool

## pygtk2 depends on gtk2 as a run-time dependency, which in turn depends on
## hicolor-icon-theme; thus the %%_datadir/icons/hicolor directory tree is not
## left orphaned. It [pygtk2] also brings in pygobject2 as a run-time
## dependency for us.
Requires:	dbus-python >= 0.70
Requires:	pygtk2 >= 2.10
Requires:	python >= 2.5
Requires:	gnome-python2-gconf >= 2.12
Requires:	gnome-python2-gnomeprint >= 2.12
Requires:	gnome-python2-gnomevfs >= 2.12
Requires:	gnome-python2-gtksourceview >= 2.12
Requires:	gnome-python2-gtkspell >= 2.12
Requires:	PyXML

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	scrollkeeper

Requires(preun):	GConf2

Requires(postun):	scrollkeeper


%description
Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. 

Through this simplicity, Scribes is very powerful. Its many features include:
* A dynamic templating system (called Snippets),
* Automatic completion of indentifiers and bracketing,
* Automatic indentation and file saving,
* Bookmarks,
* Drag-and-drop functionality,
* Full support for Unicode (UTF-8) text (and many other encodings),
* Syntax highlighting for over 30 programming languages,
* Powerful GNOME integration
* Translations into several different languages,
...and more are in development!

You may install the python-psyco package (x86-only) for a boost in startup
speed. Also, you will need to install the Yelp package for Scribes' built-in
help and documentation. 


%prep
%setup -q
## Patch out the configure script's call to depcheck.py, since I've ensured
## that the deps are satisfied and the depcheck.py script is happy on its own,
## though fails when run through rpmbuild...
%patch0 -p0
## ..then recreate the configure script from the new configure.ac file...
%{__autoconf}
## ..then recreate the root Makefile.in for the configure script to use...
%{__aclocal}
%{__automake} Makefile
find . -type f -exec sed -i -e "s/@MKDIR_P@/@mkdir_p@/g" '{}' \;
## The tab-width in printing should use the user's preference instead of being
## a hard-coded value. (Patch was sent upstream, but will not be included
## since future versions no longer use GConf for preference storage.) 
%patch1 -p0


%build
## Scrollkeeper and GConf schema installations are disabled since they'll be
## handled with the scriptlets.
%configure --disable-scrollkeeper --disable-schemas-install --enable-nls
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application	\
	--delete-original	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}/%{_datadir}/%{name}/plugins/*/.__junk
%find_lang %{name}


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING NEWS README TRANSLATORS TODO
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.3.3-3
- Rebuild for Python 2.6

* Tue Mar 25 2008 Peter Gordon <peter@thecodergeek.com> - 0.3.3.3-2
- Add patch to make the printing use the user's preferred tab-width spacing,
  instead of being hardcoded to 4 spaces per tab:
  + fix-print-tab-width.patch

* Sun Feb 03 2008 Peter Gordon <peter@thecodergeek.com> - 0.3.3.3-1
- Update to new upstream release (0.3.3.3). Resolves bug 431328: New version
  (0.3.3.3) available.

* Tue Jan 01 2008 Peter Gordon <peter@thecodergeek.com> - 0.3.3.2-1
- Update to new upstream release (0.3.3.2).

* Sat Dec 29 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.3.1-1
- Update to new upstream release (0.3.3.1).

* Sun Sep 30 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.9-1
- Update to new upstream release (0.3.2.9).
- Update License tag (GPLv2+).

* Sat Jun 09 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.8-3
- Revert previous Yelp dependency addition. It's in the default install (via
  comps) and the only bad thing to happen if it's not available is that
  clicking the "Help" option simply does nothing. It's not a strict
  requirement in this case. 

* Fri Jun 08 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.8-2
- Add yelp dependency to ensure that its built-in "Help" functionality works
  as expected. (Resolves bug 243413; Thanks to Matej Cepl for his script.)

* Wed Jun 06 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.8-1
- Update to new upstream release (0.3.2.8). 

* Sun Jun 03 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.6-1
- Update to new upstream release (0.3.2.6).

* Fri May 18 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.5-1
- Update to new upstream release (0.3.2.5).

* Sat Apr 28 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.2-1
- Update to new upstream release (0.3.2.2).
- Drop fix-Job.py-print-header-path fix (merged upstream):
  - fix-Job.py-print-header-path.patch

* Tue Apr 24 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2.1-1
- Update to new upstream release (0.3.2.1).
- Add patch to fix the header of print jobs (incomplete filenames):
  + fix-Job.py-print-header-path.patch
- Move %%configure call to %%build stage (%%prep should only be source
  unpacking/patching/etc).
- Reorder scriptlets (aesthetic change only).

* Sun Apr 01 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.2-1
- Update to new upstream release (0.3.2).
- Update %%post and %%postun scriplets for new icon-cache guidelines. 

* Sat Mar 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.1-1
- Update to new upstream release (0.3.1).
- Update Source0 URL
- Drop pygobject2 as a run-time dependency (since it's pulled in by pygtk2).
- Drop the fix-plugins-installation-dir patch (this bug was fixed upstream):
  - fix-plugins-installation-dir.patch
- Don't mark installed GConf schemas file as %%config.

* Mon Dec 18 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-3.20061218bzr
- Update to 2006-12-18 BZR snapshot. This should fix the longstanding bug
  wherein a zombie .scribesclient process is left which becomes incredibly
  processor-intensive, since the internal IPC has been reworked; also includes
  various updated translations.
- Add CONTRIBUTORS, TRANSLATORS, and TODO files as %%doc
- Add patch to install plugins to proper $(DESTDIR) location:
  + fix-plugins-installation-dir.patch

* Fri Dec 08 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-2
- Rebuild for Python 2.5 upgrade

* Sat Nov 04 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-1
- Update to new upstream release (0.3 final)

* Thu Nov 02 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.91-1
- Update to upstream version 0.2.9.91, which fixes the ugly bracket-matched
  highlighting that slipped into the 0.2.9.89 release (among other bugs)

* Sat Oct 28 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.89-3
- Drop Application category from the installed .desktop file

* Fri Oct 27 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.89-2
- Drop "--add-category X-Fedora" in desktop-file-install invocation
- Fix last date entry in %%changelog
- Update dbus-python dependency version (>= 0.70)

* Fri Oct 27 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.89-1
- Update to new upstream version (0.2.9.89)

* Mon Oct 16 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.88-1
- Don't hardcode a Pysco requirement at all; but note that option in the
  %%description for those on x86 who want it, since the %ifarch conditional
  is done at build time, and a noarch package depending on an arch-specific
  package which isn't available on all arches is a Bad Idea(TM)
- Update to upstream version 0.2.9.88

* Mon Oct 16 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.87-4
- Make the python-psyco requirement an %%ifarch conditional, as it's x86-only
- Fix line length of earlier %%changelog entry

* Sun Oct 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.87-3
- Actually fix the rpmlint issues (adding the proper %%buildroot prefix)
- Minor aesthetic change (add trailing slash to the python directory in the
  %%files section)

* Sun Oct 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.87-2
- Reenable NLS build detection (accidentally dropped in the 0.2.9.87-1 update)
- Fix a few "non-executable file" rpmlint issues

* Sun Oct 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.9.87-1
- Update to new upstream version
- Add patch to bypass failure in depcheck.py call:
  + configure.ac-no-python-depcheck.patch
- Drop old patches, no longer needed:
  - setup-no-manual-gconf.patch
  - setup-install-gconf-schemas.patch
  - setup-no-dep-check.patch

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-5
- Mass FC6 rebuild

* Tue Aug 22 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-4
- Rename patches (add "%%{name}-" prefixes)

* Fri Aug 11 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-3
- Include .pyo files in build for new Python packaging guidelines.

* Sun Jun 25 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-2
- Add gnome-python2-gconf as a dependency to resolve bug #196139
  (Thanks, James Bannon)
- Fix command-substitution inconsistency in scriplets

* Mon Jun 12 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-1
- Update to new upstream release.

* Sat Jun 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-4
- Use %%{name} in the desktop-file-install path instead of hardcoding it. 

* Sat May 06 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-3
- Removed yelp Requires; added scrollkeeper as Requires(post) and
  Requires(postun)
- Dropped gconfd-2 killall statements in the scriptlets (not needed in FC5+).
- Thanks to Brian Pepple (Bug #189727).

* Tue Apr 25 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-2
- Added patch to remove unnecessary gconf foo in the setup.py script:
  + setup-no-manual-gconf.patch
- Fix a few spacing inconsistencies in the .spec file.

* Sat Apr 22 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-1
- Initial packaging.
